Package org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstance.NodeInstanceOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.ProcessInstance.NodeInstance`, `JBPMMessages.ProcessInstance.NodeInstance.Builder`
  Enclosing class:
    JBPMMessages.ProcessInstance

      public static interface JBPMMessages.ProcessInstance.NodeInstanceOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JBPMMessages.ProcessInstance.NodeInstanceContent` | `getContent()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder` | `getContentOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
    `long` | `getId()` | `optional int64 id = 1;`
    `int` | `getLevel()` | `optional int32 level = 5;`
    `long` | `getNodeId()` | `optional int64 node_id = 2;`
    `int` | `getSlaCompliance()` | `optional int32 sla_compliance = 8;`
    `long` | `getSlaDueDate()` | `optional int64 sla_due_date = 7;`
    `long` | `getSlaTimerId()` | `optional int64 sla_timer_id = 6;`
    `boolean` | `hasContent()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
    `boolean` | `hasId()` | `optional int64 id = 1;`
    `boolean` | `hasLevel()` | `optional int32 level = 5;`
    `boolean` | `hasNodeId()` | `optional int64 node_id = 2;`
    `boolean` | `hasSlaCompliance()` | `optional int32 sla_compliance = 8;`
    `boolean` | `hasSlaDueDate()` | `optional int64 sla_due_date = 7;`
    `boolean` | `hasSlaTimerId()` | `optional int64 sla_timer_id = 6;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### hasId

          boolean hasId()

      `optional int64 id = 1;`

    - #### getId

          long getId()

      `optional int64 id = 1;`

    - #### hasNodeId

          boolean hasNodeId()

      `optional int64 node_id = 2;`

    - #### getNodeId

          long getNodeId()

      `optional int64 node_id = 2;`

    - #### hasContent

          boolean hasContent()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

    - #### getContent

          JBPMMessages.ProcessInstance.NodeInstanceContent getContent()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

    - #### getContentOrBuilder

          JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder getContentOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

    - #### hasLevel

          boolean hasLevel()

      `optional int32 level = 5;`

    - #### getLevel

          int getLevel()

      `optional int32 level = 5;`

    - #### hasSlaTimerId

          boolean hasSlaTimerId()

      `optional int64 sla_timer_id = 6;`

    - #### getSlaTimerId

          long getSlaTimerId()

      `optional int64 sla_timer_id = 6;`

    - #### hasSlaDueDate

          boolean hasSlaDueDate()

      `optional int64 sla_due_date = 7;`

    - #### getSlaDueDate

          long getSlaDueDate()

      `optional int64 sla_due_date = 7;`

    - #### hasSlaCompliance

          boolean hasSlaCompliance()

      `optional int32 sla_compliance = 8;`

    - #### getSlaCompliance

          int getSlaCompliance()

      `optional int32 sla_compliance = 8;`